| OpenZWave Library 1.6.0

Classes | Namespaces | Enumerations | Variables
Log.h File Reference
`#include <stdarg.h>`
`#include <string>`
`#include "Defs.h"`

Go to the source code of this file.

## Classes
class | OpenZWave::i_LogImpl
| A Abstract class to create a Custom Logging Method. More...
class | OpenZWave::Log
| Implements a platform-independent log...written to the console and, optionally, a file. More...

## Namespaces
| OpenZWave

## Enumerations
enum | OpenZWave::LogLevel { OpenZWave::LogLevel_Invalid, OpenZWave::LogLevel_None, OpenZWave::LogLevel_Always, OpenZWave::LogLevel_Fatal, OpenZWave::LogLevel_Error, OpenZWave::LogLevel_Warning, OpenZWave::LogLevel_Alert, OpenZWave::LogLevel_Info, OpenZWave::LogLevel_Detail, OpenZWave::LogLevel_Debug, OpenZWave::LogLevel_StreamDetail, OpenZWave::LogLevel_Internal }
| Various LogLevels available to the Application. More...

## Variables
char const * | OpenZWave::LogLevelString []